#!/bin/sh

# this script has to be run from the root of the Rails application

# set these environment variables to something relevant for your run
#export CI_NODE_TOTAL=2
#export CI_NODE_INDEX=0

if [ "$HEPTAPOD_RSPEC_SCOPE" = "extended" ]; then
    KNAPSACK_TEST_FILE_PATTERN="spec/{lib/gitlab,lib/gitlab/*,lib/gitlab/**/*,mailers_emails/pipelines,models/merge_request_*,models/compare,models/commit_*,models/ci/job_*,models/ci/pipeline*,models/*wiki*,services/projects/update_remote_mirror_service,services/projects/create_service,helpers/application_settings_helper,helpers/vcs_type_helper}_spec.rb"
else
    KNAPSACK_TEST_FILE_PATTERN="spec/{lib/gitlab,lib/gitlab/mercurial/*,lib/gitlab/*_access*,lib/gitlab/git/*,mailers/emails/pipelines,models/user,models/merge_request_*,models/compare,models/commit_*,models/ci/job_*,models/ci/pipeline*,models/*wiki*,services/projects/update_remote_mirror_service,services/projects/create_service,helpers/application_settings_helper,helpers/vcs_type_helper}_spec.rb"
fi

export KNAPSACK_TEST_FILE_PATTERN
export KNAPSACK_REPORT_PATH="knapsack/rspec.json"

knapsack rspec "-Ispec --color --format d --tag ~quarantine --tag ~geo --tag ~level:migration"
