#!/bin/sh

# This script has to be run from the root of the Rails application
# Generally speaking, one should prefer heptapod_knapsack.sh (for
# sharded parallel execution)
# use this to generate the knapsack report (times of individual test files)
#export KNAPSACK_GENERATE_REPORT=true

export KNAPSACK_REPORT_PATH="knapsack/rspec.json"

bin/rspec \
    spec/lib/gitlab_spec.rb \
    spec/lib/gitlab/mercurial_spec.rb \
    spec/lib/gitlab/*_access*.rb \
    spec/lib/gitlab/git \
    spec/lib/gitlab/mercurial \
    spec/mailers/emails/pipelines_spec.rb \
    spec/models/*repository*.rb \
    spec/models/user_spec.rb \
    spec/models/merge_request_*_spec.rb \
    spec/models/compare_spec.rb \
    spec/models/commit_*_spec.rb \
    spec/models/ci/job_*_spec.rb \
    spec/models/ci/pipeline*_spec.rb \
    spec/models/*wiki*.rb \
    spec/services/projects/update_remote_mirror_service_spec.rb \
    spec/services/projects/create_service_spec.rb \
    spec/helpers/application_settings_helper_spec.rb \
    spec/helpers/vcs_type_helper_spec.rb \
    $@
